#
# spec file for package vim (Version 6.4.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db db-devel desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libacl-devel libattr libattr-devel libcom_err libdrm libgcc libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           vim
BuildRequires:  db-devel gtk2-devel libacl-devel python-devel update-desktop-files
License:        Other License(s), see package
Group:          Productivity/Editors/Vi
Provides:       vi_clone
Autoreqprov:    on
Version:        6.4.6
Release:        19.4
%define VIM_SUBDIR vim64
Summary:        Vi IMproved
URL:            http://www.vim.org/
Source:         %name-6.4.tar.bz2
Source1:        %name-6.4-lang.tar.bz2
Source2:        %name-6.4-extra.tar.bz2
Source3:        suse.vimrc
Source4:        vimrc_example1
Source5:        vimrc_example2
Source6:        ANNOUNCEMENT.vim-6.3
Source7:        ppd.vim
Source8:        suse.gvimrc
Source9:        README.SuSE
Source10:       README.Japanese-XIM
Source11:       changes.vim
Source12:       ycp.vim
Source13:       vitmp.c
Source14:       vitmp.1
Source15:       vim132
Source16:       gvim.png
Patch0:         %name-6.3.diff
Patch1:         ycp.dif
Patch2:         patches-001-006.bz2
Patch4:         %name-6.3-gvimrc-fontset.diff
Patch5:         gui_kde_menu.vim.dif
Patch6:         %name-6.3-fstabhighlighting.diff
Patch7:         vim-selinux-20040126.patch
Patch8:         %name-6.3-ga-utf8.diff
Patch9:         %name-6.3-hilight.diff
Patch10:        %name-6.3-no-nb.diff
Patch11:        %name-6.3-tmpfiles.diff
Patch12:        %name-6.3-sh-is-bash.diff
Patch13:        %name-6.3-initvals.diff
Patch14:        ftl-syntax.diff
Patch15:        vim-6.3-help-tags.patch
Patch16:        vim64-svn-crash.patch
Patch17:        vim-6.4-mouse_crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         sh-utils fileutils

%description
Vim (Vi IMproved) is an almost compatible version of the UNIX editor
vi. Almost every possible command can be performed using only ASCII
characters. Only the 'Q' command is missing (you do not need it). Many
new features have been added: multilevel undo, command line history,
file name completion, block operations, and editing of binary data.

Vi is available for the AMIGA, MS-DOS, Windows NT, and various versions
of UNIX.

For SuSE Linux, Vim is used as /usr/bin/vi.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%debug_package
%package -n gvim
Group:          Productivity/Editors/Vi
Requires:       vim
Summary:        A GUI for Vi

%description -n gvim
Start: /usr/X11R6/bin/gvim

Copy and modify /usr/share/vim/current/gvimrc to ~/.gvimrc if needed.



Authors:
--------
    Bram Moolenaar <bram@vim.org>

%prep
%setup -q -n %{VIM_SUBDIR} -b 1 -b 2
%patch
%patch1 -p 1
%patch2
%patch4 -b .fontset
%patch5
%patch6 -p0
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15
# %if %suse_version > 900
# %patch7 -p1
# %endif
%patch16 -p1
%patch17 -p1
cp $RPM_SOURCE_DIR/vimrc_example* .
cp $RPM_SOURCE_DIR/ANNOUNCEMENT* .
rename no nb $RPM_BUILD_DIR/vim*/src/po/no.*
rename menu_no menu_nb $RPM_BUILD_DIR/vim*/runtime/lang/menu_no*

%build
pushd src
    CFLAGS="$RPM_OPT_FLAGS -Wall -pipe -fno-strict-aliasing -fstack-protector-all"
    export CFLAGS
    ./configure $RPM_ARCH-suse-linux \
	--prefix=/usr		\
	--mandir=%_mandir	\
	--with-features=big     \
	--without-x		\
	--disable-perlinterp	\
	--disable-pythoninterp	\
	--disable-gui		\
	--enable-multibyte	\
	--disable-gpm
    make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current MAKE="make -e"
# The make install below is ugly, but is there another way to get the sources
# out of the way before the reconfigure?
    make prefix=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT%{_mandir} STRIP=: install
    make distclean
    ./configure $RPM_ARCH-suse-linux \
	--prefix=/usr		\
	--bindir=/usr/X11R6/bin	\
	--mandir=%_mandir	\
	--with-x		\
	--with-features=big	\
	--with-vim-name=gvim	\
	--enable-max-features	\
	--enable-perlinterp	\
	--enable-pythoninterp	\
	--with-python-config-dir=/usr/%_lib/python%{py_ver}/config \
	--enable-gui=gtk2	\
	--enable-multibyte	\
	--enable-xim		\
	--enable-fontset
make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current MAKE="make -e"
popd
gcc $RPM_OPT_FLAGS -Wall $RPM_SOURCE_DIR/vitmp.c -o vitmp

%install
make -C src prefix=$RPM_BUILD_ROOT/usr \
             BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
             MANDIR=$RPM_BUILD_ROOT%_mandir \
	     STRIP=: \
             install
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/vim $RPM_BUILD_ROOT/bin/vim
ln -sf ../../bin/vim $RPM_BUILD_ROOT/usr/bin/vim
ln -sf vim      $RPM_BUILD_ROOT/bin/vi
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/edit
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/ex
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/vi
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/view
ln -sf vim      $RPM_BUILD_ROOT/usr/bin/vimdiff
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/gex
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/gvi
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/gview
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/rgview
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/rgvim
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/evim
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/egvim
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/eview
ln -sf gvim      $RPM_BUILD_ROOT/usr/X11R6/bin/gvimdiff
ln -sf vim.1.gz $RPM_BUILD_ROOT%_mandir/man1/vi.1.gz
ln -sf vim.1.gz $RPM_BUILD_ROOT%_mandir/man1/ex.1.gz
ln -sf %{VIM_SUBDIR} $RPM_BUILD_ROOT/usr/share/vim/current
mkdir -p $RPM_BUILD_ROOT/etc
install -m 0644 $RPM_SOURCE_DIR/suse.vimrc $RPM_BUILD_ROOT/etc/vimrc
install -m 0644 $RPM_SOURCE_DIR/suse.vimrc $RPM_BUILD_ROOT/etc/vimrc
install -m 0644 runtime/gvimrc_example.vim $RPM_BUILD_ROOT/etc/gvimrc
install -m 0644 $RPM_SOURCE_DIR/ppd.vim $RPM_BUILD_ROOT/usr/share/vim/%{VIM_SUBDIR}/syntax
install -m 0644 $RPM_SOURCE_DIR/ycp.vim $RPM_BUILD_ROOT/usr/share/vim/%{VIM_SUBDIR}/syntax
install -m 0644 $RPM_SOURCE_DIR/changes.vim $RPM_BUILD_ROOT/usr/share/vim/%{VIM_SUBDIR}/syntax
install -m 0755 $RPM_SOURCE_DIR/vim132 $RPM_BUILD_ROOT/usr/share/vim/%{VIM_SUBDIR}/tools/vim132
cp %{S:8} .
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/*ggvim*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/gvimtutor*
install -m 755 vitmp $RPM_BUILD_ROOT/bin/
install -m 644 $RPM_SOURCE_DIR/vitmp.1 $RPM_BUILD_ROOT%_mandir/man1/
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/gvimtutor $RPM_BUILD_ROOT/usr/X11R6/bin/xxd
mkdir -p $RPM_BUILD_ROOT//usr/share/pixmaps
install -m 644 %{S:16} $RPM_BUILD_ROOT/usr/share/pixmaps/
%suse_update_desktop_file -i gvim TextEditor
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/ex
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/ggvim
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/ggvimdiff
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/rggvim
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/rview
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/view

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT*
%doc README.txt README_src.txt README_unix.txt README_lang.txt src/INSTALL
%doc vimrc_example1 vimrc_example2
%config /etc/vimrc
/bin/vi
/bin/vim
/bin/vitmp
/usr/bin/edit
/usr/bin/ex
/usr/bin/vi
/usr/bin/view
/usr/bin/vim
/usr/bin/xxd
/usr/bin/rview
/usr/bin/rvim
/usr/bin/vimtutor
/usr/bin/vimdiff
/usr/share/vim
%doc %_mandir/man1/*.1*

%files -n gvim
%defattr(-,root,root)
%doc $RPM_SOURCE_DIR/README.SuSE $RPM_SOURCE_DIR/README.Japanese-XIM runtime/gvimrc_example.vim suse.gvimrc 
%ghost %config(missingok) /etc/gvimrc
/usr/share/applications/gvim.desktop
/usr/share/pixmaps/gvim.png
/usr/X11R6/bin/gex
/usr/X11R6/bin/gvi
/usr/X11R6/bin/gview
/usr/X11R6/bin/gvim
/usr/X11R6/bin/rgview
/usr/X11R6/bin/rgvim
/usr/X11R6/bin/evim
/usr/X11R6/bin/egvim
/usr/X11R6/bin/gvimdiff
/usr/X11R6/bin/eview

%changelog -n vim
* Wed Jun 07 2006 - kssingvo@suse.de
- fix for crash in gui (bugzilla#182212)
* Sat Mar 18 2006 - jw@suse.de
- fixed bugzilla # 112930
  no more segv upon svn commit.
* Fri Feb 24 2006 - hvogel@suse.de
- Dont package any gvimrc (except in %%doc), just use apps defaults.
  Otherwise we will play default settings ping pong
  forever [#152830]
* Thu Feb 02 2006 - rml@suse.de
- Make X selection again work in gvim (Bug #144109)
* Wed Feb 01 2006 - hvogel@suse.de
- generate help-tags tag during build
* Mon Jan 30 2006 - mmj@suse.de
- Add FreeMarker templates syntax highlighting [#144295]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Jan 12 2006 - mmj@suse.de
- Add patches 6.4.001 through 6.4.006
- Compile with -fstack-protector-all
* Wed Jan 11 2006 - mmj@suse.de
- Use a better gvimrc [#141096]
* Mon Dec 19 2005 - ro@suse.de
- remove unpackaged symlinks
* Mon Dec 05 2005 - mmj@suse.de
- Make sure SELinux is disabled
* Sun Oct 16 2005 - mmj@suse.de
- Update to vim-6.4 which is a pure bugfix release, no new features
  was added (they all go to vim7)
- Disable selinux patch for now
* Thu Jul 21 2005 - mmj@suse.de
- Add pathes 6.3.76 through 6.3.84
* Tue Jul 19 2005 - lnussel@suse.de
- Don't strip binaries during install to get a useful debuginfo
  package
* Thu Jul 07 2005 - mmj@suse.de
- Fix missing decl on vitmp.c
* Thu Jun 02 2005 - mmj@suse.de
- Add patches 6.3.59 through 6.3.75
* Tue Jan 25 2005 - mmj@suse.de
- Add patches 6.3.55 through 6.3.58
* Fri Jan 21 2005 - mmj@suse.de
- /bin/sh is bash on SUSE LINUX, so highlight as such [#49872]
* Thu Jan 20 2005 - mmj@suse.de
- Fix insecure tmp file handling [#50025]
* Fri Jan 07 2005 - mmj@suse.de
- Add patches 6.3.47 through 6.3.54
* Mon Dec 13 2004 - mmj@suse.de
- Add patches 6.3.044 to 6.0.46 from upstream [#49092]
- Explain that modelines enabling can be potentially evil
* Tue Dec 07 2004 - mmj@suse.de
- Add patches 6.3.032 to 6.0.43 from upstream
* Wed Nov 24 2004 - ro@suse.de
- use macro for python version
* Tue Nov 16 2004 - hvogel@suse.de
- add gvim icon
* Wed Nov 10 2004 - hvogel@suse.de
- fix the 'current' link to point to the right directory
* Fri Oct 22 2004 - mmj@suse.de
- Make the rpm versioning match what vim does itself
- Add patch 31 from upstream
* Tue Oct 19 2004 - mmj@suse.de
- locale no should correctly be nb so make it so
* Wed Oct 13 2004 - mmj@suse.de
- Include bugfixes up to and including patch 30
* Sat Sep 04 2004 - mmj@suse.de
- Include the latest bugfix patches 16-23
* Tue Aug 24 2004 - mmj@suse.de
- Also recognize "%%t" and "%%j" [#43985]
* Tue Aug 24 2004 - mmj@suse.de
- Make printf format string "%%z" be recognized and hilighted [#43985]
* Thu Aug 12 2004 - mmj@suse.de
- Update bugfixing patches including 12-15
* Sat Jul 03 2004 - mmj@suse.de
- Update bugfixing patches 001 through 011
* Tue Jun 08 2004 - mmj@suse.de
- Update to vim-6.3
* Fri May 07 2004 - mmj@suse.de
- Apply official patches up to including 531
* Mon May 03 2004 - mmj@suse.de
- Apply official patches up to including 521
* Tue Apr 13 2004 - mmj@suse.de
- Use extra again
- Apply official patches up to including 6.2.466
* Wed Mar 17 2004 - mmj@suse.de
- Apply patch from Juergen Weigert to make 'ga' work correctly with
  UTF-8
* Wed Feb 25 2004 - kukuk@suse.de
- Fix version detection
- Fix SELinux patch (return code of one function)
* Mon Feb 23 2004 - mmj@suse.de
- Adjust patches to include up to 6.2.263
- Only patch SELinux on versions after 9.0
* Mon Feb 09 2004 - mmj@suse.de
- Add patches we want from 175 to 245
* Wed Jan 28 2004 - kukuk@suse.de
- Add SELinux patch
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - mmj@suse.de
- compile with "-fno-strict-aliasing"
* Fri Jan 09 2004 - mmj@suse.de
- add patches we want from 99 to 174
- regenerate patches
- add patch for fstab syntax highlighting [#33814]
* Wed Sep 17 2003 - fehr@suse.de
- add patches patches 91 to 98 from vim homepage
* Fri Sep 12 2003 - fehr@suse.de
- add patches patches 76 to 89 from vim homepage
  (vim-6.2-altscreen.dif is therefore obsolete)
* Wed Sep 10 2003 - fehr@suse.de
- add patches patches 72 to 75 from vim homepage
* Wed Sep 03 2003 - mls@suse.de
- replace vim132 with bash version and delete post scriptlet
* Tue Aug 26 2003 - fehr@suse.de
- update ycp.vim and changes.vim
* Mon Aug 25 2003 - mls@suse.de
- fix aternate screen problem (again)
* Fri Aug 22 2003 - fehr@suse.de
- add patches patches 70 to 71 from vim homepage
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file for gvim from kappfinder
* Fri Aug 15 2003 - mfabian@suse.de
- adapt vim-6.2-gvimrc-fontset.dif to the settings needed for
  a gtk2 build. For most languages it is OK to set "guifontset"
  to "monospace". But for Korean "monospace" expands to
  "Baekmuk Gulim" with our current default settings and
  this results in a very wide, broken spacing between the letters.
  As this effect happens with many CJK fonts and the Latin glyphs
  in many CJK fonts are ugly, set a good Latin font as the default
  for CJK. This latin font is automatically combined with the
  appropriate CJK font according to the rules in
  /etc/fonts/fonts.conf. I choose "Luxi\ Mono" because this
  is guaranteed to be installed always.
* Tue Aug 12 2003 - mmj@suse.de
- change the GUI to be built with gtk2
* Tue Aug 12 2003 - fehr@suse.de
- add liux relevant patches 15 - 69
* Wed Jul 16 2003 - fehr@suse.de
- create link eview to gvim
* Tue Jun 24 2003 - mmj@suse.de
- Update to 6.2 including:
   Support for GTK2
   Support for editing Arabic text
   ":try" command and exception handling
   Support for the neXtaw GUI toolkit
   Cscope support for Win32
   Support for PostScript printing in various 8-bit encodings
- Add non-Win32 patches from 1 - 14
* Tue May 27 2003 - fehr@suse.de
- remove unpackaged files from buildroot
* Fri May 23 2003 - fehr@suse.de
- add vitmp binary and man page to package
* Wed Apr 02 2003 - ro@suse.de
- updated python path
* Mon Mar 03 2003 - fehr@suse.de
- add patches 318 to 364 from ftp.vim.org
* Mon Feb 03 2003 - adrian@suse.de
- remove -mminimal-toc from RPM_OPT_FLAGS for ppc
- add patches 240 to 317 from ftp.vim.org
* Wed Jan 01 2003 - adrian@suse.de
- add a comment in the default vimrc to get the completion
  behaviour as in bash (often asked).
* Mon Dec 16 2002 - fehr@suse.de
- add "modelines=0" to default vimrc because of security
  considerations
* Fri Dec 13 2002 - ro@suse.de
- updated neededforbuild
* Thu Nov 07 2002 - mfabian@suse.de
- add patches 151 to 248 from ftp.vim.org (Bug #12157 is fixed
  by patch 194, made by Michael Schroeder <mls@suse.de>)
* Wed Oct 30 2002 - agruen@suse.de
- Add dependency on acl-devel package so POSIX ACL support
  is enabled.
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Aug 07 2002 - werner@suse.de
- Fix vimrc for xterm and add some more keys (bug #15002)
* Tue Aug 06 2002 - fehr@suse.de
- add commands to vimrc to recognize last cursor position in a file
- add patches 033 to 150 from ftp.vim.org
* Fri Aug 02 2002 - adrian@suse.de
- do not handle vim and kvim together anymore
* Tue Jun 25 2002 - olh@suse.de
- build with -mminimal-toc on ppc64
* Wed Jun 05 2002 - ro@suse.de
- specify python config dir (not found on lib64 platforms)
* Thu Apr 25 2002 - fehr@suse.de
- make vim again read /etc/vimrc or /etc/gvimrc
- add patches 001 to 032 from ftp.vim.org
* Wed Apr 10 2002 - adrian@suse.de
- update to version 6.1
- remove obsolete patches
- clean xim.diff from patches which gone to the source
- add gui_kde support for kvim
* Tue Apr 02 2002 - fehr@suse.de
- remove disable_system.patch that prevent print menue entry in
  gvim from working (#15355)
* Thu Mar 14 2002 - fehr@suse.de
- add patch 6.0.164 to patches
  (After patch 6.0.135 the menu entries for pasting don't work in
  Insert and Visual mode. Add <script> to allow script-local mappings.)
* Sun Mar 10 2002 - mfabian@suse.de
- fix typo in entry for Korean fontset which prevented the
  gulim fonts from being used
* Mon Mar 04 2002 - mfabian@suse.de
- change default fontset entry for Korean to prevent core dump
  in Korean locale.
  Our previous default selected was
  guifontset=-*-clean-bold-r-*--16-*-*-*-*-*-*-*,
-*-gulim-medium-r-*--16-*-*-*-*-*-*-*
  but since XFree86 4.2.0 the 'clean-bold' pattern doesn't
  match any iso8859-1 font anymore. Now it matches only:
-schumacher-clean-bold-r-normal--16-160-75-75-c-80-iso646.1991-irv
  Because of this 'gvim' can't get any usable font, and
  gui.char_width becomes 0. This leads to a division by 0
  in function gui_resize_shell().
* Sun Mar 03 2002 - mfabian@suse.de
- add xim.diff from "Yasuhiro Matsumoto" <mattn_jp@hotmail.com>
  This patch makes OnTheSpot input style perfectly usable for
  Japanese, without the patch OnTheSpot input style is severely
  broken.
* Thu Feb 28 2002 - kukuk@suse.de
- Add hack to avoid csh dependency
- Make beta-testers happy
* Sat Feb 23 2002 - mfabian@suse.de
- choose a different fontset for locales starting with 'zh'
  (zh_TW, zh_CN, ...) because the new default fontset is not
  suitable for these locales
* Thu Feb 21 2002 - fehr@suse.de
- change default fontset to use "iso8859-*" as encoding part
* Thu Feb 07 2002 - fehr@suse.de
- remove RPM_BUILD_ROOT path in man pages (#13054)
* Tue Feb 05 2002 - schwab@suse.de
- Don't add /usr/local/include and /usr/local/lib to search paths.
* Tue Jan 29 2002 - fehr@suse.de
- add patches 094 to 154 for vim 6.0 from ftp.vim.org
- syntax files changes.vim and ycp.vim are now separate source files
* Fri Dec 07 2001 - mfabian@suse.de
- add vim-6.0-euro-menu.dif which removes @euro when looking
  for a menu translation for gvim. Without this,
  "LC_ALL=de_DE@euro gvim" will show English menus
* Thu Nov 29 2001 - fehr@suse.de
- add patches 074 to 093 for vim 6.0 from ftp.vim.org
- add option nocompatible again to /etc/vimrc (defaults are simply
  more usable this way)
* Thu Nov 29 2001 - mfabian@suse.de
- added NLS support again (vim-6.0-lang.tar.bz2 was not unpacked)
- applied fontset patch to /etc/gvimrc again
* Thu Nov 15 2001 - fehr@suse.de
- changed default vimrc according to suggestions of vim developer
* Mon Nov 05 2001 - fehr@suse.de
- added links vimdiff and gvimdiff
- added egvim link to /usr/X11R6/bin
- prevent use of tempname command in vimtutor
- add patches 001 to 072 for vim 6.0 from ftp.vim.org
* Fri Oct 19 2001 - mmj@suse.de
- Updated to 6.0
- Merges the gvim.spec and vim.spec into one specfile.
- Added a ppd.vim syntax file from bjacke@suse.de
* Tue Sep 11 2001 - mfabian@suse.de
- update to Vim 6.0av
  (Bram Moolenaar: "Just bug fixes this time, and
  quite a lot of them ...") For details about the bugs fixed,
  please read /usr/share/doc/packages/vim/ANNOUNCEMENT.vim-6.0av
* Wed Aug 29 2001 - fehr@suse.de
- add new ycp sytax file from Michal Svec
- add extensions .scr and .yh as ycp extensions
* Tue Aug 28 2001 - mfabian@suse.de
- update to Vim 6.0at
- removed sf_warnings.dif (included upstream)
- add --with-features=big
- remove --enable-broken-locale
- remove --enable-fontset
- add BuildRoot
- add %%{?suse_update_config:%%{suse_update_config -f }}
* Thu Aug 16 2001 - fehr@suse.de
- update to new version 5.8 with patches 5.8.001 to 008 applied
- add syntax file for .changes files from Michal Svec
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Mon Apr 09 2001 - fehr@suse.de
- change back to old version 5.7 since 6.0aa is not stable enough
  (according to maintainer Bram Moolenaar)
- add patches 001-028 from vim.org to vim 5.7
* Fri Apr 06 2001 - mfabian@suse.de
- add tarball for nls support: vim-6.0aa-lang.tar.bz2
- use suse_update_config
- remove --enable-broken-locale --enable-fontset
- add BuildRoot
- bzip2 tarballs
* Thu Apr 05 2001 - fehr@suse.de
- change to new version 6.0aa
* Mon Mar 26 2001 - kendy@suse.cz
- Added syntax file for YCP (YaST2 Communication Protocol)
* Mon Jan 08 2001 - fehr@suse.de
- change occurences of $VIM in vimrc example to $VIMRUNTIME
* Tue Nov 21 2000 - werner@suse.de
- Remove swapping of kp-separator/kp-decimal because it's
  done in xkbd map for german keyboards
- Add some newer xterm escape sequences (oldFunctionsKeys)
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Mon Jul 24 2000 - fehr@suse.de
- New version 5.7
* Wed Mar 01 2000 - werner@suse.de
- Move vim and the link vi to /bin/ and make symlinks backward
- Include symlinks edit and ex into vim file list
- Include symlinks gex, gvi, gview, rgvim, rgview into gvim file list
- Make symlink current to version directory in /usr/share/vim
* Tue Feb 29 2000 - fehr@suse.de
- removed use of mouse daemon (libgpm)
* Thu Feb 24 2000 - fehr@suse.de
- removed dependency on nawk
* Tue Jan 25 2000 - werner@suse.de
- New version 5.6
- Do not use strange settings in /etc/vimrc (e.g. edcompatible)
- Make terminal settings in /etc/vimrc depending on terminal type
- Create a ~/.vimrc for /etc/skel/
- /usr/man -> /usr/share/man
* Wed Jan 12 2000 - fehr@suse.de
- fix wrong path in /etc/vimrc
* Fri Nov 05 1999 - kukuk@suse.de
- Use gawk instead of nawk
* Sat Oct 16 1999 - ml@suse.de
- removed typo from vim-5.4.dif
* Thu Sep 16 1999 - ro@suse.de
- added "Provides vi_clone"
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - fehr@suse.de
- changed to new version 5.4
* Sun Dec 13 1998 - bs@suse.de
- fixed problem with empty man page
* Fri Dec 04 1998 - ro@suse.de
- cleanup and bugfix for suse.vimrc
* Mon Nov 23 1998 - ro@suse.de
- update to 5.3
- merged werners vimrc and florian's hack for linux-m
- install other vimrc_example as %%doc
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild using 4.6tar and 4.6dif
* Wed May 28 1997 - werner@suse.de
- New /etc/vimrc added
* Sun Apr 13 1997 - florian@suse.de
- update to new version 4.6
- mv ctags into a new package ctags.tgz
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 4.5.
- Jetzt ist auch ctags und xxd dabei.
* Thu Jan 02 1997 - florian@suse.de
  new version 4.2
  completely integrated help-system
